<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package dokan
 * @package dokan - 2014 1.0
 */
get_header();
?>

<div id="primary" class="content-area col-md-12">
    <div id="content" class="site-content" role="main">

        <article id="post-0" class="post error404 not-found">
            <header class="entry-header">
                <h1 class="entry-title"><?php _e( 'Oops! That page can&rsquo;t be found.', 'dokan-theme' ); ?></h1>
            </header><!-- .entry-header -->

            <div class="entry-content">
                <p><?php _e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'dokan-theme' ); ?></p>

                <?php get_search_form(); ?>

            </div><!-- .entry-content -->
        </article><!-- #post-0 .post .error404 .not-found -->

        <div class="row">
            <div class="col-md-4">
                <?php the_widget( 'WP_Widget_Recent_Posts' ); ?>
            </div>
            <div class="col-md-4">
                <div class="widget">
                    <h2 class="widgettitle"><?php _e( 'Categories', 'dokan-theme' ); ?></h2>
                    <ul>
                        <?php wp_list_categories( array('orderby' => 'count', 'order' => 'DESC', 'show_count' => 1, 'title_li' => '', 'number' => 10) ); ?>
                    </ul>
                </div><!-- .widget -->
            </div>

            <div class="col-md-4">
                <?php the_widget( 'WP_Widget_Tag_Cloud' ); ?>

                <?php
                /* translators: %1$s: smilie */
                $archive_content = '<p>' . sprintf( __( 'Try looking in the monthly archives. %1$s', 'dokan-theme' ), convert_smilies( ':)' ) ) . '</p>';
                the_widget( 'WP_Widget_Archives', 'dropdown=1', "after_title=</h2>$archive_content" );
                ?>
            </div>
        </div>

    </div><!-- #content .site-content -->
</div><!-- #primary .content-area -->

<?php get_footer(); ?>